Anonymous Login
2018-12-15 14:04 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001150OpenClonkObjectspublic2016-03-22 21:30
Reportertimi 
Assigned ToMaikel 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Versiongit master 
Summary0001150: Acid drilling: Breaking pipes frustrating
DescriptionIt'd be great if there could be a warning before pipes break. Or maybe the clonk just can't move forward when the pipe is too long?

Also the name pipe doesn't really fit the graphics nor the behavior, maybe "hose" (Schlauch) would be more appropriate?
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003949

Maikel (developer)

This would need some engine support I suppose unless we want to introduce a regular check in the line. Maybe even better is to have no maximal number of vertices, so that lines never break.

~0004290

Sven2 (developer)

The pipe in Acid Drilling is specifically configured to have a maximum length. It does not break due to a maximum number of vertices.

I added this to make the scenario interesting (otherwise you only need one pump). I also added it as a test pilot that we may want to apply to all scenarios. But so far it doesn't seem to be liked very much.

~0004300

Maikel (developer)

I think it would be good to have a maximum length for pipes. But then we need a clear warning before the breaking happens.

~0004301

Zapper (developer)

I looked into that very shortly and that might need engine support. I think currently pipes break after a set amount of vertices (engine-wise), but line length instead of vertices would be a lot more intuitive for the player.

The question is what happens if you e.g. throw a pipe down the ocean and it rips off. The player would probably expect that it just hangs like a rope.

Sooo, only let it break when being carried or something?

~0004302

Armin (reporter)

>only let it break when being carried or something?
It could be strange when the line suddenly breaks after you collect it again.

One problem I have with limited lengths is that they would hurt the fun of the diving helmet which is using normal pipes to explore the deep. Such pipes would only use a few vertices but a length of 4000px or some.

~0004303

Sven2 (developer)

We could have long and short pipes with the long pipe having infinite length (but not being available e.g. in acid drilling).

I think the short pipes require the player to build some more interesting stuff, like multiple stations to pump long distance. Pumping something across the complete map always feels a bit like a cheat.

On the other hand, people also say that Openclonk is way too hard for beginners right now, so I'm also not opposed to just keeping pipes at infinite length (except for Acid Drilling).

~0004304

Zapper (developer)

Nothing against that, Sven. But as always: the key point here is communicating the length to the player.
The player should at least get a warning when the pipe is above 75% of its maximum length or so. For that the line would need to figure that out somehow.
+Notes

-Issue History
Date Modified Username Field Change
2014-10-13 18:59 timi New Issue
2014-10-18 10:02 Maikel Target Version => 6.1
2015-10-16 00:33 Sven2 Target Version 6.1 => 7.0
2015-10-16 19:37 Maikel Note Added: 0003949
2015-10-16 19:37 Maikel Status new => acknowledged
2015-12-07 22:48 Sven2 Note Added: 0004290
2015-12-09 08:59 Maikel Note Added: 0004300
2015-12-09 11:40 Zapper Note Added: 0004301
2015-12-09 14:28 Armin Note Added: 0004302
2015-12-09 15:50 Sven2 Note Added: 0004303
2015-12-09 19:21 Zapper Note Added: 0004304
2016-01-09 13:25 Maikel Target Version 7.0 => 7.1 (Bugfix update)
2016-03-22 21:30 Maikel Status acknowledged => resolved
2016-03-22 21:30 Maikel Fixed in Version => git master
2016-03-22 21:30 Maikel Resolution open => fixed
2016-03-22 21:30 Maikel Assigned To => Maikel
+Issue History